_G=GLOBAL

local IMMORTAL = GetModConfigData("immortal") or 5;

AddPrefabPostInit("world",function(w)
	if _G.rawget(_G, "SaveGameIndex") then
		--print("Found SaveGameIndex")
		local old_EraseCurrent = _G.SaveGameIndex.EraseCurrent
		function _G.SaveGameIndex:EraseCurrent(cb,...)
			local player = _G.GetPlayer()
			if player and player.HUD then
				player.HUD:Show()
			end
		end
		--Бессмертие на 10 секунд после загрузки игры.
		if IMMORTAL == 0 then
			return
		end
		w:DoTaskInTime(0,function()
			--print(IMMORTAL,IMMORTAL)
			local player = _G.GetPlayer()
			local h = player and player.components.health
			if h then
				h.invincible = true
				player:DoTaskInTime(IMMORTAL,function()
					h.invincible = false
				end)
			end
			local boat = player and player.components.driver and player.components.driver.vehicle
			if boat and boat.components.boathealth then
				boat.components.boathealth.invincible = true
				boat:DoTaskInTime(IMMORTAL,function()
					boat.components.boathealth.invincible = false
				end)
			end
		end)
	end
end)

--Test: c_spawn("spider")
--GetPlayer().components.health:Kill()

--[[
local function HandleDeathCleanup(wilson, data)
local function OnPlayerDeath(wilson, data)
_G.SaveGameIndex.EraseCurrent
--]]



